+ Reply to Thread
Page 1 of 2 1 2 LastLast
Results 1 to 10 of 11
  1. #1
    Super Member
    Computer Details
    Sengna's Computer Details
    Operating System:
    Window 7
    RAM:
    8 GB
    Using
    AutoCAD 2016
    Join Date
    Jun 2012
    Location
    USA
    Posts
    511

    Default Change Lower case to upper case MLD text??

    Registered forum members do not see this ad.

    Is it possible to change the multileader text from Lower case to upper case all at once? rather change one by one. Thanks

  2. #2
    Forum Deity Dana W's Avatar
    Computer Details
    Dana W's Computer Details
    Operating System:
    Windows 8 64 bit
    Computer:
    Dell XPS ONE 2710
    Motherboard:
    Dunno
    CPU:
    Intel I-5 3330S @ 2.7 Ghz
    RAM:
    6 Gb
    Graphics:
    On board barely adequate
    Primary Storage:
    1 Terrabyte
    Secondary Storage:
    1 Terrabyte external
    Monitor:
    All in one 27" touch & pen
    Discipline
    Construction
    Dana W's Discipline Details
    Occupation
    Architectural Millwork Designer/Draftsman
    Discipline
    Construction
    Details
    Custom commercial millwork.
    Using
    AutoCAD LT 2018
    Join Date
    Feb 2010
    Location
    Oviedo, Florida
    Posts
    4,691

    Default

    Sounds like a lisp to me. The nearest alternative I can find is to select all of them, then open properties and click on the edit button in the text contents line. The Mtext editor will then cycle through all of them, but you will still have to highlight each text and change them manually. I was hoping matchprop would do it, but it does not.
    The S197 gen Ford Mustang, and the F-4 Phantom both prove the same theory. "With enough power applied, a school bus will fly."

  3. #3
    Super Member
    Computer Details
    Sengna's Computer Details
    Operating System:
    Window 7
    RAM:
    8 GB
    Using
    AutoCAD 2016
    Join Date
    Jun 2012
    Location
    USA
    Posts
    511

    Default

    Quote Originally Posted by Dana W View Post
    Sounds like a lisp to me. The nearest alternative I can find is to select all of them, then open properties and click on the edit button in the text contents line. The Mtext editor will then cycle through all of them, but you will still have to highlight each text and change them manually. I was hoping matchprop would do it, but it does not.
    Yeah, i have to change one by one which was a pain, Match Prop won''t work for 2014 Autocad Version. I double click on the MLD text hightlight and right click--- Change case to UPPER. hope Lee mac can develope Lisp to help with this.

  4. #4
    Forum Deity Dana W's Avatar
    Computer Details
    Dana W's Computer Details
    Operating System:
    Windows 8 64 bit
    Computer:
    Dell XPS ONE 2710
    Motherboard:
    Dunno
    CPU:
    Intel I-5 3330S @ 2.7 Ghz
    RAM:
    6 Gb
    Graphics:
    On board barely adequate
    Primary Storage:
    1 Terrabyte
    Secondary Storage:
    1 Terrabyte external
    Monitor:
    All in one 27" touch & pen
    Discipline
    Construction
    Dana W's Discipline Details
    Occupation
    Architectural Millwork Designer/Draftsman
    Discipline
    Construction
    Details
    Custom commercial millwork.
    Using
    AutoCAD LT 2018
    Join Date
    Feb 2010
    Location
    Oviedo, Florida
    Posts
    4,691

    Default

    Quote Originally Posted by Sengna View Post
    Yeah, i have to change one by one which was a pain, Match Prop won''t work for 2014 Autocad Version. I double click on the MLD text hightlight and right click--- Change case to UPPER. hope Lee mac can develope Lisp to help with this.
    Yeah, but if you do it my way for the time being, it will at least automatically open the mtext editor for you at each one. one would think AutoDesk would attach a case change macro or something to the contents box on the properties dialog.

    If they are all the same word, you can do it with Find/Replace all at once.
    The S197 gen Ford Mustang, and the F-4 Phantom both prove the same theory. "With enough power applied, a school bus will fly."

  5. #5
    Luminous Being
    Using
    Civil 3D 2016
    Join Date
    Dec 2005
    Location
    GEELONG AUSTRALIA
    Posts
    9,751

    Default

    (strcase text) in lisp just need a few minutes to mod one

    Ok done now

    Code:
    (defun caps ( / ss len x objtext)
    (vl-load-com)
    (setq ss  (ssget "X" (list (cons 0 "Mtext,text"))))
    (setq x 0)
    (setq len (sslength ss))
    (repeat len
    (setq ent (ssname ss x))
    (setq objtext (vlax-ename->vla-object ent))
    (vla-put-textstring objtext (strcase (vla-get-textstring objtext)))
    (setq x (+ x 1))
    )
    
    (caps)
    Last edited by BIGAL; 17th Feb 2015 at 09:56 am.
    A man who never made mistakes never made anything

  6. #6
    Super Member
    Computer Details
    Sengna's Computer Details
    Operating System:
    Window 7
    RAM:
    8 GB
    Using
    AutoCAD 2016
    Join Date
    Jun 2012
    Location
    USA
    Posts
    511

    Default

    Quote Originally Posted by BIGAL View Post
    (strcase text) in lisp just need a few minutes to mod one I have but a bit busy at moment.

    Code:
    (defun caps ( / ss len x objtext)
    (vl-load-com)
    (setq ss (ssget "X" (list (cons 0 "Mtext,text"))))
    (setq x 0)
    (setq len (sslength ss))
    (repeat len
    (setq ent (ssname ss x))
    (setq objtext (vlax-ename->vla-object ent))
    (vla-put-textstring objtext (strcase (vla-get-textstring objtext)))
    (setq x (+ x 1))
    )
    
    (caps)
    Should i just type these code to the command prompt Bigal??? or just strcase??

  7. #7
    Forum Deity Dana W's Avatar
    Computer Details
    Dana W's Computer Details
    Operating System:
    Windows 8 64 bit
    Computer:
    Dell XPS ONE 2710
    Motherboard:
    Dunno
    CPU:
    Intel I-5 3330S @ 2.7 Ghz
    RAM:
    6 Gb
    Graphics:
    On board barely adequate
    Primary Storage:
    1 Terrabyte
    Secondary Storage:
    1 Terrabyte external
    Monitor:
    All in one 27" touch & pen
    Discipline
    Construction
    Dana W's Discipline Details
    Occupation
    Architectural Millwork Designer/Draftsman
    Discipline
    Construction
    Details
    Custom commercial millwork.
    Using
    AutoCAD LT 2018
    Join Date
    Feb 2010
    Location
    Oviedo, Florida
    Posts
    4,691

    Default

    Quote Originally Posted by Sengna View Post
    Should i just type these code to the command prompt Bigal??? or just strcase??
    Hang on, he's gotta modify this one a little.
    The S197 gen Ford Mustang, and the F-4 Phantom both prove the same theory. "With enough power applied, a school bus will fly."

  8. #8
    Luminous Being
    Using
    Civil 3D 2016
    Join Date
    Dec 2005
    Location
    GEELONG AUSTRALIA
    Posts
    9,751

    Default

    Sorry thats the code copy it all to Notepad and save as a .lsp file use Appload to run.

    Post updated above
    A man who never made mistakes never made anything

  9. #9
    Super Member
    Computer Details
    Sengna's Computer Details
    Operating System:
    Window 7
    RAM:
    8 GB
    Using
    AutoCAD 2016
    Join Date
    Jun 2012
    Location
    USA
    Posts
    511

    Default

    Quote Originally Posted by BIGAL View Post
    Sorry thats the code copy it all to Notepad and save as a .lsp file use Appload to run.

    Post updated above
    I know how to save these code on notepad but how do i upload it? do you have a screenshot.? thanks

  10. #10
    Quantum Mechanic ReMark's Avatar
    Computer Details
    ReMark's Computer Details
    Operating System:
    Windows 7 Pro 64-bit
    Computer:
    Thinkmate
    Motherboard:
    Intel DX58SO2 LGA1366 X58
    CPU:
    Intel i7-960 Quad-core 3.20GHz 8MB cache
    RAM:
    12GB (3x4GB) PC3-106000 DDR3
    Graphics:
    nVidia Quadro K4200, 4GB GDDR5
    Primary Storage:
    150GB Velocipraptor 10,000 rpm
    Secondary Storage:
    none
    Monitor:
    Dell P24LLH - 24" wide screen LCD
    Discipline
    See details...
    ReMark's Discipline Details
    Occupation
    CAD Draftsman/Designer...chemical manufacturing.
    Discipline
    See details below.
    Details
    I work for a specialty chemical manufacturer. I do a little bit of everything from P&IDs to civil to architectural and structural.
    Using
    AutoCAD 2018
    Join Date
    Nov 2005
    Location
    Norwalk, CT USofA
    Posts
    46,380

    Default

    Registered forum members do not see this ad.

    I'm sure this has been covered before in one of your threads. Use the APPLOAD command to load the lisp routine into AutoCAD then type "caps" to start it.
    "I have only come here seeking knowledge. Things they wouldn't teach me of in college." The Police

    Eat brains...gain more knowledge!

    I'm now a full member of the Society for the Promotion of Mediocrity in CAD. Standards? We don't need no stinkin' standards! Take whatever advice I offer and do the opposite.

Similar Threads

  1. Change Case of MLeader Text Strings
    By harilalmn in forum AutoLISP, Visual LISP & DCL
    Replies: 13
    Last Post: 5th Jun 2014, 07:24 pm
  2. System variable for upper case
    By Tyke in forum AutoCAD General
    Replies: 3
    Last Post: 11th Apr 2013, 01:32 pm
  3. title case, small case in attributes
    By rock1 in forum AutoCAD General
    Replies: 13
    Last Post: 10th Sep 2012, 02:11 pm
  4. Upper and lower case lettering
    By Coosbaylumber in forum AutoCAD 2D Drafting, Object Properties & Interface
    Replies: 3
    Last Post: 29th Apr 2009, 05:35 pm
  5. converting lower case text to to capital text
    By REIVAX in forum AutoCAD Beginners' Area
    Replies: 11
    Last Post: 13th Jan 2009, 11:36 am

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts